//
//  SCMediaError.h
//  Spotx_sdk_ios
//
//  Copyright © 2019 smartclip. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface SCMediaError : NSObject
typedef enum MediaErrorCode {
    MEDIA_ERR_ABORTED = 1,
    MEDIA_ERR_NETWORK,
    MEDIA_ERR_DECODE,
    MEDIA_ERR_SRC_NOT_SUPPORTED
} MediaErrorCode;

//
- (instancetype)initWithErrorCode:(NSInteger)errorCode message:(NSString*)message;
- (NSDictionary*)description;
@end

NS_ASSUME_NONNULL_END
